VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions Class Reference

Defines the type descriptors for the Inbound API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | firewallAddressRule
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteFirewallRule
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | add_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | add_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | set_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | set_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deleteOutput

## Detailed Description

Defines the type descriptors for the Inbound API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::add_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("pos", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("rule", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.firewall.addr.InboundDefinitions.firewallAddressRule.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::add_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::deleteFirewallRule`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("position", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("all", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.networking.firewall.addr.inbound.delete_firewall_rule", fields, typeof(vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::deleteInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("config", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.firewall.addr.InboundDefinitions.deleteFirewallRule.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::deleteOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::firewallAddressRule`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("address", new vmware.vapi.bindings.type.StringType());
                    fields.Add("prefix", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("policy", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallRulePolicy)));
                    fields.Add("interface_name", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.networking.firewall.addr.inbound.firewall_address_rule", fields, typeof(vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.firewall.addr.InboundDefinitions.firewallAddressRule.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::set_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("rules", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.networking.firewall.addr.InboundDefinitions.firewallAddressRule.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::networking::firewall::addr::InboundDefinitions::set_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

The documentation for this class was generated from the following file:

- InboundDefinitions.cs